﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Optimization;

namespace P5T.App_Start
{
    public class BundleConfig
    {
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(new ScriptBundle("~/Scripts/jquery").Include(
                "~/Scripts/jquery-{version}.js",
                "~/Scripts/jquery-ui.js",
                "~/Scripts/jquery.form.min.js",
                "~/Scripts/jquery.datetimepicker.js"
                ));

            bundles.Add(new ScriptBundle("~/Scripts/bootstrap").Include(
                "~/Scripts/bootstrap.js"
                ));

            bundles.Add(new ScriptBundle("~/Scripts/IEHacks").Include(
                "~/Scripts/html5shiv.min.js",
                "~/Scripts/respond.min.js"
                ));

            bundles.Add(new ScriptBundle("~/Scripts/CustomP5T").Include(
                "~/Scripts/p5t.js"
                ));

            bundles.Add(new StyleBundle("~/Content/themes/base/css").Include(
                "~/Content/bootstrap.min.css",
                "~/Content/font-awesome.css",
                "~/Content/jquery-ui.css",
                "~/Content/jquery-ui.structure.css",
                "~/Content/jquery-ui.theme.css",
                "~/Content/Site.css",
                "~/Content/jquery.datetimepicker.css"));


        }
    }
}