﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace P5T.Models
{
    public class Artifacts
    {
        public enum Type
        {
            ResearchArticle,
            JournalArticle,
            ConferencePresentation,
            MediaInterview,
            Grant,
            Other
        }

        public static String TypeToString(Type type)
        {
            switch (type)
            {
                case Type.ResearchArticle:
                    return "Research Article";
                case Type.JournalArticle:
                    return "Journal Article";
                case Type.ConferencePresentation:
                    return "Conference Presentation";
                case Type.MediaInterview:
                    return "Media Interview";
                case Type.Grant:
                    return "Grant";
                case Type.Other:
                    return "Other";
            }
            throw new Exception("Invalid Artifact Type");
        }

        public static String TypeToController(Type type)
        {
            switch (type)
            {
                case Type.ResearchArticle:
                    return "ResearchArticle";
                case Type.JournalArticle:
                    return "JournalArticle";
                case Type.ConferencePresentation:
                    return "Presentation";
                case Type.MediaInterview:
                    return "Interview";
                case Type.Grant:
                    return "Grant";
                case Type.Other:
                    return "Other";
            }
            throw new Exception("Invalid Artifact Type");
        }
    }
}
